<%@ page contentType="text/html; charset=GBK" %>
<%@ page import = "zr.zrpower.common.util.SysPreperty" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser" %>
<%@ page import = "zr.zrpower.ejb.sys.UIService" %>
<%@ page import = "zr.zrpower.ejb.sys.UserService" %>

<%@ page import = "java.lang.Object" %>
<%
SessionUser user = (SessionUser)session.getAttribute("userinfo");
UIService userUI =new UIService();
String strMenu_No = request.getParameter("Menu_No");
String strMenu_Name = userUI.get_menuName(strMenu_No);

String userLoginID = user.getLoginID();
String userimage = user.getUserImage();
String strMenuBack = "#E5F5FF";
if (userimage.equals("blueimg")){strMenuBack = "#E5F5FF";}
if (userimage.equals("windowimg")){strMenuBack = "#E4E4E4";}
if (userimage.equals("publicimg")){strMenuBack = "#D3F3C1";}
if (userimage.equals("yellowimg")){strMenuBack = "#F5F0C6";}
if (userimage.equals("nblueimg")){strMenuBack = "#F1F0EE";}

String znum="0";
      String num="0";
      int i=1;
      String stmp="";
      String strMenu = userUI.LoadMenu_two(user.getUserID(),strMenu_No);
      
      if (strMenu.length()>10)
      {
         stmp = strMenu.substring(0,10);
         String getList[] = stmp.split("/");
         znum=getList[0];
         num=getList[1];
         strMenu = strMenu.substring(10);
      }
      String strIsMenu = "0";
      if (strMenu.length()>20)
      {strIsMenu = "1";}
%>
<HTML>
<HEAD>
<TITLE></TITLE>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META http-equiv="Content-Type" content="text/html; charset=GBK">
<LINK type="text/css" rel="stylesheet" href="zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="zrsysmanage/script/Public.js"></SCRIPT>
<style type="text/css">
<!--
a{color:#333; text-decoration:none;}
a:hover{color:#FF0033;}
body{font-family:"宋体"; font-size:12px; margin:0; padding:0;}
ul{list-style-type:none; margin:0; padding:0;}
li{margin:0; padding:0;}
.leftmenu{background:#EEF2FB;height:auto;margin:0 auto; width:168px;border:1px solid <%=user.getUserIndexColor()%>;}
.lmenub{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/m1.gif)  no-repeat left;height:25px; line-height:25px;color:#4B6486; font-size:14px; font-weight:700;text-align:left; text-indent:19px; cursor:pointer;}
.lmenua{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/m2.gif) no-repeat;17px;height:25px; line-height:25px;color:#4B6486; font-size:14px; font-weight:700;text-align:left; text-indent:19px; cursor:pointer;}

.lmenuc{border-bottom:1px solid <%=user.getUserIndexColor()%>; background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_bg_two.gif) repeat-x left;font-size:12px;height:28px;line-height:28px;cursor:pointer; text-indent:22px; color:#222; font-weight:700;}
.lmenud{font-size:12px;height:22px;line-height:22px;background:<%=strMenuBack%>;text-indent:10px;border-top: 1px solid #fff;border-bottom: 1px solid <%=user.getUserIndexColor()%>; font-weight:normal;cursor:pointer; text-indent:20px;}
.pclist{background:#ffffff; width:166px; padding:5px 2px 5px 17px;}
.pclist li{background:url(<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/dot.png) no-repeat 0 5px;height:22px; line-height:22px; font-size:12px; padding-left:17px;}
.pclist .active{background:#FFFFCC; height:15px; border:1px solid #CEB70D; padding:1px 3px;}
-->
</style>


<SCRIPT language="javascript" type="text/javascript">

var mFrame_Top = "1";
var mFrame_Left = "1";
var mFrame_Right = "1";
var mFrame_Bottom = "1";
var movenum=0;


function autologin(url){
  parent.window.document.location.href=url;
}


function SetMenu(TdObj){
  if (TdObj){
    if (TdObj.className=="Pnlu"){
      TdObj.className="Pnld";
    }else{
      TdObj.className="Pnlu";
    }
  }
}

function Move_Top(){
  if (mFrame_Top=="1"){
   //  eval(sound_movewindow.play());
     closeIt1(0,130);
    if(mFrame_Left=="1"){

      document.getElementById("divMessage").style.display='none';
      document.getElementById("menu_show1").style.display='';
      closeIt(33,175);
      mFrame_Left = "0";
    }
    mFrame_Top = "0";
  }else{
  //  eval(sound_movewindow.play());
    openIt1(0,130);
    if(mFrame_Left!="1"){
      document.getElementById("divMessage").style.display='';
      document.getElementById("menu_show1").style.display='none';
      openIt(33,175);
      mFrame_Left = "1";
    }
    mFrame_Top = "1";
  }
}

function Move_Left(){
  if (mFrame_Left=="1"){
   // eval(sound_movewindow.play());
    document.getElementById("divMessage").style.display='none';
    document.getElementById("menu_show1").style.display='';
    closeIt(33,175);
    mFrame_Left = "0";
  }else{
   // eval(sound_movewindow.play());
    document.getElementById("divMessage").style.display='';
    document.getElementById("menu_show1").style.display='none';
    openIt(33,175);
    mFrame_Left = "1";
  }
}
function openIt(m,n)
{
    if(m<n)
    {
        m+=10;
        if (m>175)m=175;
        window.parent.document.getElementById("Frame_Left").cols = changeVal(window.parent.document.getElementById("Frame_Left").cols,0,m);
        setTimeout("openIt("+m+","+n+")",5);
    }
}

function closeIt(m,n)
{
    if(n>m)
    {
        n-=10;
        if (n<33)n=33;
        window.parent.document.getElementById("Frame_Left").cols = changeVal(window.parent.document.getElementById("Frame_Left").cols,0,n);
        setTimeout("closeIt("+m+","+n+")",5);
    }
}
function openIt1(m,n)
{
    if(m<n)
    {
        m+=10;
        if (m>130)m=130;

        window.parent.document.getElementById("Frame_Top").rows = changeVal(window.parent.document.getElementById("Frame_Top").rows,0,m);
        setTimeout("openIt1("+m+","+n+")",5);
    }
}

function closeIt1(m,n)
{
    if(n>m)
    {
        n-=10;
        if (n<0)n=0;
        window.parent.document.getElementById("Frame_Top").rows = changeVal(window.parent.document.getElementById("Frame_Top").rows,0,n);
        setTimeout("closeIt1("+m+","+n+")",5);
    }
}
function changeVal(sourceVal,location,val)
{
    var s="";
    var strArray;
    strArray = sourceVal.split(",");
    strArray[location] = val;
    for(var i=0;i<strArray.length;i++)
    {
        s+=strArray[i]+",";
    }
    s = s.substring(0,s.length-1);
    return s;
}
</SCRIPT>
</HEAD>
<BODY class="BodyMain">
<input type="hidden" id="menuvalue" name="menuvalue" value="<%=strIsMenu%>">

<table cellSpacing="0" cellPadding="0" border="0" height="100%" width="100%" class="MenuTbl"><tr><td valign="top">
<DIV id="divMessage" style='padding-left:0;padding-top:0;width:100%;height:100%;overflow:auto'>
<table cellSpacing="0" cellPadding="0" border="0" height="100%" width="100%" class="MenuTbl">
  <tr>
    <td  align="right" height='23' background='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_up_back.jpg'>
    
    <%=strMenu_Name%>&nbsp;
    <a href="javascript:window.parent.document.getElementById('Menu').src='pumenu.jsp?Menu_No=003&Power_Type=1&Menu_Name=个人管理';" title="刷新菜单"><img  src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/iRefresh.gif' border='0' align='absmiddle' alt="刷新菜单"></a>&nbsp;
    <a href="javascript:Move_Top()" title="隐藏/显示"><img  src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/iShowHide.gif' border='0' align='absmiddle'  alt="隐藏/显示"></a>&nbsp;
    </td>
  </tr>
  <tr>
    <td  valign="top">




    <div style='padding-left:0;padding-top:0;' class="leftmenu">
    <%=strMenu%>
    </div>


    </td>
  </tr>


</table>
</div>
<div  id="menu_show1"  style="width:'100%';height:'100%';overflow:'hidden';display:'none'">
<table cellSpacing="0" cellPadding="0" border="0" height="100%" width="26" class="MenuTbl">
  <tr>
    <td height='23' background='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_up_back.jpg'>
    <a href="javascript:Move_Top()" title="隐藏/显示"><img  src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/iShowHide.gif' border='0' align='absmiddle'  alt="隐藏/显示"></a>&nbsp;
    </td>
  </tr>
 <tr>
    <td background='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_back.jpg'></td>
  </tr>
</table>

</td><td class=Pnld width="7" background='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left_back.jpg' onMouseOver="if (document.getElementById('divMessage').style.display=='none') document.getElementById('left_image').src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left3.gif'; else document.getElementById('left_image').src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left1.gif';" onMouseOut="if (document.getElementById('divMessage').style.display=='none') document.getElementById('left_image').src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left2.gif'; else document.getElementById('left_image').src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left.gif';" onclick="if (document.getElementById('divMessage').style.display=='none'){document.getElementById('divMessage').style.display='';document.getElementById('menu_show1').style.display='none';} else {document.getElementById('divMessage').style.display='none';document.getElementById('menu_show1').style.display='';} Move_Left();">
<img id="left_image" name="left_image" src='<%=SysPreperty.getProperty().AppUrl%>/zrsysmanage/images/<%=user.getUserImage()%>/menu_title_left.gif' border='0' align='absmiddle'>
</td>
</tr>

</table>

</BODY>
</HTML>
<SCRIPT language="javascript" type="text/javascript">

//--------------
var number=6;
function LMYC(obj) {
var lbmc
var treePic
    for (i=1;i<=number;i++) {
        lbmc = document.getElementById('LM' + i);
        treePic = document.getElementById('treePic'+i);
        treePic.className = 'lmenub';
        lbmc.style.display = 'none';
    }
}
function ShowFLT(i) {
    lbmc = document.getElementById('LM' + i);
    treePic = document.getElementById('treePic' + i)
    if (lbmc.style.display == 'none') {
        LMYC();
        treePic.className = 'lmenua';
        lbmc.style.display = '';
    }
    else {
        treePic.className = 'lmenub';
        lbmc.style.display = 'none';
    }

}
var n=17;
function LMYCB(obj) {
var lbmcb
var treePicb
    for (i=1;i<=n;i++) {
        lbmcb = document.getElementById('LMb' + i);
        treePicb = document.getElementById('treePicb'+i);
        treePicb.className = 'lmenud';
        lbmcb.style.display = 'none';
    }
}
function ShowFLTb(i) {
    

}
function checkTdBg(obj){
    var obj_td = document.getElementsByTagName('span');
    for( var int_i = 0 ; int_i < obj_td.length ; int_i ++ ){
        if( obj_td[int_i] == obj ){
            obj_td[int_i].className = 'active';
        }
        else{
            obj_td[int_i].className = '';
        }
    }
}

//--------------


function opentime(){
  var strValue = window.showModalDialog("about.jsp",window,"status:no;help:no;dialogHeight:320px;dialogWidth:450px");
}
function initload(){
    //初始化一级栏目数和二级栏目数，在菜单展开和收缩时使用。
    number="<%=znum%>";
    n="<%=num%>";
}
setTimeout("initload();",500);
setTimeout("menu();",1800);
parent.Frame_Left.cols="175,*"

function menu()
{
    var menuvalue = document.all('menuvalue').value;
    if (menuvalue=="0")
    {
       parent.Menu.location.reload();
    }
}
</script>
<%
//清空相关对象
user = null;
userUI = null;
%>